NXWidgets: NxWM::CNxTermFactory Class Reference

NXWidgets 1.19

Public Member Functions | Private Attributes | List of all members
NxWM::CNxTermFactory Class Reference

`#include <cnxterm.hxx>`

Inheritance diagram for NxWM::CNxTermFactory:

## Public Member Functions
| CNxTermFactory (CTaskbar *taskbar)
| ~CNxTermFactory (void)
IApplication * | create (void)
NXWidgets::IBitmap * | getIcon (void)
Public Member Functions inherited from NxWM::IApplicationFactory
virtual | ~IApplicationFactory (void)

## Private Attributes
CTaskbar * | m_taskbar

## Detailed Description

Definition at line 206 of file cnxterm.hxx.

## Constructor & Destructor Documentation

## ◆ CNxTermFactory()

CNxTermFactory::CNxTermFactory | ( | CTaskbar * | taskbar | ) |

CNxTermFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate calibration

CNxTermFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate the console

Definition at line 586 of file cnxterm.cxx.

## ◆ ~CNxTermFactory()

NxWM::CNxTermFactory::~CNxTermFactory | ( | void |  | ) |
| inline

CNxTermFactory Destructor

Definition at line 224 of file cnxterm.hxx.

## Member Function Documentation

## ◆ create()

IApplication * CNxTermFactory::create | ( | void |  | ) |
| virtual

Create a new instance of an CNxTerm (as IApplication).

Implements NxWM::IApplicationFactory.

Definition at line 595 of file cnxterm.cxx.

## ◆ getIcon()

NXWidgets::IBitmap * CNxTermFactory::getIcon | ( | void |  | ) |
| virtual

Get the icon associated with the application

Returns
  An instance if IBitmap that may be used to rend the application's icon. This is an new IBitmap instance that must be deleted by the caller when it is no long needed.

Implements NxWM::IApplicationFactory.

Definition at line 638 of file cnxterm.cxx.

## Member Data Documentation

## ◆ m_taskbar

CTaskbar* NxWM::CNxTermFactory::m_taskbar
| private

The taskbar

Definition at line 209 of file cnxterm.hxx.

The documentation for this class was generated from the following files:

- cnxterm.hxx
- cnxterm.cxx